<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<artifactId>maven-parent</artifactId>
		<groupId>org.gcube.tools</groupId>
		<version>1.0.0</version>
		<relativePath />
	</parent>
	<groupId>org.gcube.dataanalysis</groupId>
	<artifactId>SmartEcologicalEngineExecutor</artifactId>
	<version>1.6.4-SNAPSHOT</version>
	<name>Smart Ecological Engine Executor</name>
	<description>Smart Ecological Engine Executor Description</description>
	<properties>
		<distroDirectory>${project.basedir}/distro</distroDirectory>
	</properties>
	<dependencies>
		<dependency>
			<groupId>org.gcube.vremanagement</groupId>
			<artifactId>smart-executor-client</artifactId>
			<version>[1.0.0-SNAPSHOT,)</version>
		</dependency>
		<dependency>
			<groupId>org.gcube.contentmanagement</groupId>
			<artifactId>storage-manager-core</artifactId>
			<version>[2.0.2-SNAPSHOT,4.0.0)</version>
		</dependency>
		<dependency>
			<groupId>org.gcube.contentmanagement</groupId>
			<artifactId>storage-manager-wrapper</artifactId>
			<version>[2.0.2-SNAPSHOT,4.0.0)</version>
		</dependency>
		<dependency>
			<groupId>org.apache.activemq</groupId>
			<artifactId>activemq-core</artifactId>
			<version>5.6.0</version>
		</dependency>
		<dependency>
			<groupId>org.gcube.dataanalysis</groupId>
			<artifactId>ecological-engine</artifactId>
			<version>[1.8.0-SNAPSHOT,2.0.0)</version>
		</dependency>
	</dependencies>
	<build>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>1.6</source>
					<target>1.6</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>2.12</version>
				<configuration>
					<skipTests>true</skipTests>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<version>2.5</version>
				<executions>
					<execution>
						<id>copy-profile</id>
						<phase>install</phase>
						<goals>
							<goal>copy-resources</goal>
						</goals>
						<configuration>
							<outputDirectory>target</outputDirectory>
							<resources>
								<resource>
									<directory>${distroDirectory}</directory>
									<filtering>true</filtering>
									<includes>
										<include>profile.xml</include>
									</includes>
								</resource>
							</resources>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-assembly-plugin</artifactId>
				<version>2.2</version>
				<configuration>
					<descriptors>
						<descriptor>${distroDirectory}/descriptor.xml</descriptor>
					</descriptors>
				</configuration>
				<executions>
					<execution>
						<id>servicearchive</id>
						<phase>install</phase>
						<goals>
							<goal>single</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>